## org.apache.poi.ss.formula.ptg
Class StringPtg

    java.lang.Object
      org.apache.poi.ss.formula.ptg.Ptg
          org.apache.poi.ss.formula.ptg.ScalarConstantPtg
              org.apache.poi.ss.formula.ptg.StringPtg

    public final class StringPtg

extends ScalarConstantPtg

String Stores a String value in a formula value stored in the format <length 2 bytes>char[]

Author:
  Werner Froidevaux, Jason Height (jheight at chariot dot net dot au), Bernard Chesnoy

Field Summary
`static byte` `sid`

Fields inherited from class org.apache.poi.ss.formula.ptg.Ptg
`CLASS_ARRAY, CLASS_REF, CLASS_VALUE, EMPTY_PTG_ARRAY`

Constructor Summary
`StringPtg(LittleEndianInput in)` Create a StringPtg from a stream
`StringPtg(java.lang.String value)` Create a StringPtg from a string representation of the number Number format is not checked, it is expected to be validated in the parser that calls this method.

Method Summary
`int` `getSize()`
`java.lang.String` `getValue()`
`java.lang.String` `toFormulaString()` return a string representation of this token alone
`void` `write(LittleEndianOutput out)`

Methods inherited from class org.apache.poi.ss.formula.ptg.ScalarConstantPtg
`getDefaultOperandClass, isBaseToken, toString`

Methods inherited from class org.apache.poi.ss.formula.ptg.Ptg
`createPtg, doesFormulaReferToDeletedCell, getEncodedSize, getEncodedSizeWithoutArrayData, getPtgClass, getRVAType, readTokens, serializePtgs, setClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final byte sid

See Also:
  Constant Field Values

Constructor Detail

### StringPtg

    public StringPtg(LittleEndianInput in)

  Create a StringPtg from a stream

### StringPtg

    public StringPtg(java.lang.String value)

  Create a StringPtg from a string representation of the number Number format is not checked, it is expected to be validated in the parser that calls this method.

  Parameters:
    `value` - : String representation of a floating point number

Method Detail

### getValue

    public java.lang.String getValue()

### write

    public void write(LittleEndianOutput out)

  Specified by:
    `write` in class `Ptg`

### getSize

    public int getSize()

  Specified by:
    `getSize` in class `Ptg`
  Returns:
    the encoded length of this Ptg, including the initial Ptg type identifier byte.

### toFormulaString

    public java.lang.String toFormulaString()

  Description copied from class: `Ptg`
  return a string representation of this token alone

  Specified by:
    `toFormulaString` in class `Ptg`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.